Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.json
Class JsonHierarchicalStreamWriter

    java.lang.Object
      com.thoughtworks.xstream.io.json.JsonWriter
          com.thoughtworks.xstream.io.json.JsonHierarchicalStreamWriter

All Implemented Interfaces:
  ExtendedHierarchicalStreamWriter, HierarchicalStreamWriter

Deprecated. since 1.3.1, use JsonWriter instead

    public class JsonHierarchicalStreamWriter

extends JsonWriter

A simple writer that outputs JSON in a pretty-printed indented stream. Arrays, Lists and Sets rely on you NOT using XStream.addImplicitCollection(..)

Since:
  1.2
Author:
  Paul Hammant, Jörg Schaible

Nested Class Summary

Nested classes/interfaces inherited from class com.thoughtworks.xstream.io.json.JsonWriter
`JsonWriter.Node`

Field Summary

Fields inherited from class com.thoughtworks.xstream.io.json.JsonWriter
`DROP_ROOT_MODE, STRICT_MODE`

Constructor Summary
`JsonHierarchicalStreamWriter(Writer writer)` Deprecated. since 1.3.1, use JsonWriter instead
`JsonHierarchicalStreamWriter(Writer writer, char[] lineIndenter)` Deprecated. since 1.3.1, use JsonWriter instead
`JsonHierarchicalStreamWriter(Writer writer, char[] lineIndenter, String newLine)` Deprecated. since 1.3.1, use JsonWriter instead
`JsonHierarchicalStreamWriter(Writer writer, String lineIndenter)` Deprecated. since 1.3.1, use JsonWriter instead
`JsonHierarchicalStreamWriter(Writer writer, String lineIndenter, String newLine)` Deprecated. since 1.3.1, use JsonWriter instead

Method Summary

Methods inherited from class com.thoughtworks.xstream.io.json.JsonWriter
`addAttribute, close, endNode, endOfLine, flush, setValue, startNode, startNode, underlyingWriter, writeAttributeValue, writeText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonHierarchicalStreamWriter

    public JsonHierarchicalStreamWriter(Writer writer,
                                        char[] lineIndenter,
                                        String newLine)

  Deprecated. since 1.3.1, use JsonWriter instead

### JsonHierarchicalStreamWriter

    public JsonHierarchicalStreamWriter(Writer writer,
                                        char[] lineIndenter)

  Deprecated. since 1.3.1, use JsonWriter instead

### JsonHierarchicalStreamWriter

    public JsonHierarchicalStreamWriter(Writer writer,
                                        String lineIndenter,
                                        String newLine)

  Deprecated. since 1.3.1, use JsonWriter instead

### JsonHierarchicalStreamWriter

    public JsonHierarchicalStreamWriter(Writer writer,
                                        String lineIndenter)

  Deprecated. since 1.3.1, use JsonWriter instead

### JsonHierarchicalStreamWriter

    public JsonHierarchicalStreamWriter(Writer writer)

  Deprecated. since 1.3.1, use JsonWriter instead

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.